iPhone jb iPhone5 on 6.1.2 , unable to upgrade SW to 7.0 (newer jb friendly version)

Discussion in 'Jailbreaks and iOS Hacks' started by ke0kie, Oct 3, 2014.

  1. ke0kie macrumors newbie

    Joined:
    Oct 3, 2014
    #1
    Hi Mac friends :)

    I installed the evasi0n jailbreak on my iphone5 (GSM) about a year ago, and it has been running good ever since. I wanted this mainly to obtain 'TetherMe' app from Cydia store / free wifi-tether. And TetherMe has been working great!

    There are a few apps I notice (like google g-drive, and some others), that say the require iOS7 or newer to run :( I think i'm to the point where I should really get a newer O/S revision on the phone :(

    So, I feel I need to upgrade my iOS to 7.0 and run the evasi0n 7.0.x jb to get jb back, ok not so bad.

    The problem is, I downloaded the 7.0.0 ipsw file ( from http://www.iclarified.com/750/where-to-download-iphone-firmware-files-from ) and when trying to load it with iTunes (using the hold ALT/OPTION key plus click on update, then choosing the 7.0.0 ipsw file), I get the error:

    "This device isn't eligible for the requested build".

    I searched on that, there was some talk about commenting out a host in the hosts file, or truing newest version of iTunes. Neither of those apply to me, I'm running newest iTunes, and I did not have the legacy update server in my hosts file.

    So I'm "guessing" that instead I need to upgrade iOS in this manner:

    6.1.2 > 6.1.3 > 6.1.4 > 7.0.0

    Like do one at a time, and maybe I won't get that "This device isn't eligible for the requested build" message....


    Has anyone else here gone down this path, or can share some advice?



    Thanks!


    Cheers,

    --Scott
     
  2. ke0kie thread starter macrumors newbie

    Joined:
    Oct 3, 2014
    #2
    Saddly, getting same error when just trying to upgrade 6.1.2 > 6.1.3 so that sucks...

    Wonder why iTunes refuses to upgrade the software on this iPhone5??
     
  3. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
    #3
    You can only restore to versions of firmware currently being signed by Apple - for your iPhone 5 that is 8.0 or 8.0.2

    No other options..
     
  4. ke0kie thread starter macrumors newbie

    Joined:
    Oct 3, 2014
    #4
    So, perhaps I should have upgraded to 7.0.x before 8.0.x came out then?

    That being the case, perhaps my only option is to wait for 8.0.x jailbreak to become available :-/
     
  5. dhlizard macrumors G4

    dhlizard

    Joined:
    Mar 16, 2009
    Location:
    The Jailbreak Community
  6. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #6
    Not perhaps...no choice.
     

Share This Page